# Cluster name
name: xen-test

# System to use
os: debian-edgy
os-size: 10G
swap-size: 1G
mem: 512M

# Nodes to use
nodes:
# Master node
- primary: xen-test-0
  secondary: 192.168.1.1

# Other nodes
- primary: xen-test-1
  secondary: 192.168.1.2

# Instance names to use
instances:
- name: xen-test-inst1
- name: xen-test-inst2

# Tests to run
tests:
  env: True

  os: True

  cluster-verify: True
  cluster-info: True
  cluster-getmaster: True
  cluster-version: True
  cluster-burnin: True
  cluster-copyfile: True
  cluster-master-failover: True
  cluster-destroy: True

  node-info: True
  node-volumes: True

  # This test needs at least three nodes
  node-evacuate: False

  # This test needs at least two nodes
  node-failover: False

  instance-add-plain-disk: True
  instance-add-local-mirror-disk: True
  instance-add-remote-raid-disk: True
  instance-list: True
  instance-failover: True
  instance-info: True
  instance-export: True
  instance-import: True
  instance-reinstall: True
  instance-shutdown: True

  # Make sure not to include the disk(s) required for Dom0 to be included in
  # the volume group used for instances. Otherwise the whole system may stop
  # working until restarted.
  instance-disk-failure: False

  # This test takes up to 6 minutes to complete
  instance-automatic-restart: False

  # This test takes at least 35 minutes to complete
  instance-consecutive-failures: False

# Other settings
options:
  burnin-instances: 2
